Get Collections
GET
/stac/collections
const url = 'https://example.com/stac/collections';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/stac/collectionsList all STAC Collections.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
StacCollectionListResponse
STAC collections list response.
object
collections
required
Collections
List of STAC collections.
Array<object>
StacCollectionA single STAC Collection response (permissive — allows extra STAC fields).
object
description
Description
Collection description.
string
extent
required
Extent
Spatial and temporal extent of items in the collection.
object
key
additional properties
any
id
required
Id
Stable collection identifier.
string
license
License
SPDX license identifier or ‘proprietary’.
string
links
required
Links
Collection navigation links.
Array<object>
StacLinkA single STAC link object.
stac_version
Stac Version
STAC specification version.
string
type
Type
STAC object type.
string
key
additional properties
any
links
required
Links
Top-level collection navigation links.
Array<object>
StacLinkA single STAC link object.
Example
{ "collections": [ { "description": "", "license": "proprietary", "stac_version": "1.0.0", "type": "Collection" } ]}Bad request — invalid standards parameters
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json